## cgal 5.6

=== demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(CGAL_DEMOS)

if(CGAL_BRANCH_BUILD)

  foreach(package ${CGAL_CONFIGURED_PACKAGES})
    #message (STATUS "Current package: ${package}")
    file(GLOB listtmp "${package}/demo/*")
    list(APPEND list ${listtmp})
  endforeach()

else()

  file(GLOB list "*")

endif()

list(SORT list)

find_package(CGAL REQUIRED)
include(${CGAL_MODULES_DIR}/CGAL_Macros.cmake)

message("== Generating build files for demos ==")
foreach(entry ${list})

  if(NOT ${entry} MATCHES ".*\\.svn\$" AND IS_DIRECTORY ${entry})

    file(GLOB files "${entry}/*.cpp")

    # If there is no .cpp files, ignore the sub-directory
    if(files)
      process_cgal_subdirectory("${entry}" demo demo)
      # Note: process_CGAL_subdirectory is defined in cmake/modules/CGAL_Macros.cmake
    endif()

  endif()

endforeach()
message("== Generating build files for demos (DONE) ==\n")

=== demo/AABB_tree/CMakeLists.txt ===
# This is the CMake script for compiling the AABB tree demo.

cmake_minimum_required(VERSION 3.1...3.23)
project(AABB_tree_Demo)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

# Include this package's headers first
include_directories(BEFORE ./ ./include)

# Find CGAL and CGAL Qt5
find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

# Find Qt5 itself
find_package(Qt5 QUIET COMPONENTS Widgets OpenGL)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)

  qt5_wrap_ui(UI_FILES MainWindow.ui)

  include(AddFileDependencies)

  qt5_generate_moc("MainWindow.h" "${CMAKE_CURRENT_BINARY_DIR}/MainWindow_moc.cpp")
  add_file_dependencies(MainWindow_moc.cpp "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.h")

  qt5_generate_moc("Viewer.h" "${CMAKE_CURRENT_BINARY_DIR}/Viewer_moc.cpp")
  add_file_dependencies(Viewer_moc.cpp "${CMAKE_CURRENT_SOURCE_DIR}/Viewer.h")

  qt5_generate_moc("Scene.h" "${CMAKE_CURRENT_BINARY_DIR}/Scene_moc.cpp")
  add_file_dependencies(Scene_moc.cpp "${CMAKE_CURRENT_SOURCE_DIR}/Scene.h")

  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES AABB_demo.qrc)

  add_file_dependencies(
    AABB_demo.cpp "${CMAKE_CURRENT_BINARY_DIR}/MainWindow_moc.cpp"
    "${CMAKE_CURRENT_BINARY_DIR}/Viewer_moc.cpp"
    "${CMAKE_CURRENT_BINARY_DIR}/Scene_moc.cpp")

  add_executable(
    AABB_demo AABB_demo.cpp ${UI_FILES} ${CGAL_Qt5_RESOURCE_FILES}
    #${CGAL_Qt5_MOC_FILES}
  )
  # Link with Qt libraries
  target_link_libraries(AABB_demo PRIVATE Qt5::Widgets Qt5::OpenGL
                                          CGAL::CGAL CGAL::CGAL_Qt5)

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS AABB_demo)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(AABB_demo)

else(CGAL_Qt5_FOUND AND Qt5_FOUND)

  set(AABB_MISSING_DEPS "")

  if(NOT CGAL_Qt5_FOUND)
    set(AABB_MISSING_DEPS "CGAL_Qt5, ${AABB_MISSING_DEPS}")
  endif()

  if(NOT Qt5_FOUND)
    set(AABB_MISSING_DEPS "Qt5, ${AABB_MISSING_DEPS}")
  endif()

  message("NOTICE: This demo requires ${AABB_MISSING_DEPS}, and will not be compiled.")

endif(CGAL_Qt5_FOUND AND Qt5_FOUND)

=== demo/Alpha_shapes_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Alpha_shapes_2_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Widgets)
include_directories(BEFORE ./include)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)
  add_definitions(-DQT_NO_KEYWORDS)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  set(CMAKE_AUTOMOC ON)

  # UI files (Qt Designer files)
  qt5_wrap_ui(DT_UI_FILES Alpha_shapes_2.ui)

  # qrc files (resources files, that contain icons, at least)
  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES ./Alpha_shapes_2.qrc)

  # The executable itself.
  add_executable(
    Alpha_shapes_2 Alpha_shapes_2.cpp ${DT_UI_FILES} ${CGAL_Qt5_RESOURCE_FILES}
                   ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Alpha_shapes_2)

  target_link_libraries(Alpha_shapes_2 PRIVATE CGAL::CGAL CGAL::CGAL_Qt5
                                               Qt5::Widgets)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Alpha_shapes_2)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Alpha_shapes_2)
else()
  message("NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")
endif()

=== demo/Alpha_shapes_3/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Alpha_shapes_3_Demo)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()
if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Widgets OpenGL)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)

  add_definitions(-DQT_NO_KEYWORDS)

  # include(${QT_USE_FILE})
  include_directories(BEFORE ./)

  # ui file, created with Qt Designer
  qt5_wrap_ui(uis MainWindow.ui)

  # qrc files (resources files, that contain icons, at least)
  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES ./Alpha_shape_3.qrc)

  add_executable(
    Alpha_shape_3 Alpha_shape_3.cpp MainWindow.cpp Viewer.cpp ${uis}
                  ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})
  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Alpha_shape_3)

  target_link_libraries(Alpha_shape_3 PRIVATE CGAL::CGAL CGAL::CGAL_Qt5
                                              Qt5::Widgets Qt5::OpenGL)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Alpha_shape_3)

else()

  message("NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== demo/Apollonius_graph_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Apollonius_graph_2_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Widgets)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)
  add_definitions(-DQT_NO_KEYWORDS)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  set(CMAKE_AUTOMOC ON)
  #--------------------------------
  # UI files (Qt Designer files)
  qt5_wrap_ui(DT_UI_FILES Apollonius_graph_2.ui)

  # qrc files (resources files, that contain icons, at least)
  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES ./Apollonius_graph_2.qrc)

  # use the Qt MOC preprocessor on classes that derives from QObject

  # The executable itself.
  add_executable(
    Apollonius_graph_2 Apollonius_graph_2.cpp ${DT_UI_FILES}
                       ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Apollonius_graph_2)

  target_link_libraries(Apollonius_graph_2 PRIVATE CGAL::CGAL CGAL::CGAL_Qt5
                                                   Qt5::Widgets)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Apollonius_graph_2)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Apollonius_graph_2)
else()
  message("NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")
endif()

=== demo/Arrangement_on_surface_2/CMakeLists.txt ===
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Arrangement_on_surface_2_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Core Qt5)
find_package(Qt5 QUIET COMPONENTS Widgets)

if (CGAL_Qt5_FOUND AND Qt5_FOUND)
  include(${CGAL_USE_FILE})
  add_compile_definitions(QT_NO_KEYWORDS)
  include_directories( BEFORE ./ )

  # Arrangement package includes
  add_definitions(-DQT_NO_KEYWORDS)
  option(COMPILE_UTILS_INCREMENTALLY
    "Compile files in Utils directory incrementally, or compile them all as a unit. \
    Incremental compilation will be better for development and consume less \
    memory while compiling but will take longer to compile."
    OFF)

  set(UTILS_SOURCE_FILES
       "Utils/Utils.cpp"
       "Utils/PointLocationFunctions.cpp"
       "Utils/ConstructBoundingBox.cpp"
       "Utils/EnvelopeFunctions.cpp"
       "Utils/ConstructSegment.cpp"
       "Utils/IntersectCurves.cpp"
       "Utils/SplitAndMerge.cpp"
  )

  if (COMPILE_UTILS_INCREMENTALLY)
    set(UTILS_COMPILE_FILES ${UTILS_SOURCE_FILES})
  else()
    set(UTILS_CPP_FILES_INCLUDES "")
    foreach(utils_src IN LISTS UTILS_SOURCE_FILES)
      string(APPEND UTILS_CPP_FILES_INCLUDES "#include \"${utils_src}\"\n")
    endforeach()
    file(WRITE "${CMAKE_BINARY_DIR}/CombinedUtils.cpp" ${UTILS_CPP_FILES_INCLUDES})
    set(UTILS_COMPILE_FILES "${CMAKE_BINARY_DIR}/CombinedUtils.cpp")
  endif()


  qt5_wrap_ui(arrangement_2_uis
              ArrangementDemoWindow.ui
              NewTabDialog.ui
              OverlayDialog.ui
              ArrangementDemoPropertiesDialog.ui
              AlgebraicCurveInputDialog.ui
              RationalCurveInputDialog.ui)

  qt5_wrap_cpp(CGAL_Qt5_MOC_FILES
               ArrangementDemoWindow.h
               ArrangementDemoTab.h
               GraphicsViewCurveInput.h
               Callback.h
               OverlayDialog.h
               ArrangementDemoPropertiesDialog.h
               AlgebraicCurveInputDialog.h
               RationalCurveInputDialog.h
               ColorItemEditor.h
               PropertyValueDelegate.h)

  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES Arrangement_on_surface_2.qrc)

  add_executable(arrangement_2
                 arrangement_2.cpp
                 ArrangementDemoWindow.cpp
                 ArrangementDemoTab.cpp
                 ArrangementDemoGraphicsView.cpp
                 ArrangementGraphicsItem.cpp
                 Callback.cpp
                 VerticalRayShootCallback.cpp
                 EnvelopeCallback.cpp
                 SplitEdgeCallback.cpp
                 FillFaceCallback.cpp
                 MergeEdgeCallback.cpp
                 PointLocationCallback.cpp
                 NewTabDialog.cpp
                 OverlayDialog.cpp
                 ArrangementDemoPropertiesDialog.cpp
                 AlgebraicCurveInputDialog.cpp
                 RationalCurveInputDialog.cpp
                 ColorItemEditor.cpp
                 PropertyValueDelegate.cpp
                 PointsGraphicsItem.cpp
                 VerticalRayGraphicsItem.cpp
                 DeleteCurveCallback.cpp
                 CurveGraphicsItem.cpp
                 ArrangementPainterOstream.cpp
                 GraphicsViewCurveInput.cpp
                 AlgebraicCurveParser.cpp
                 GraphicsSceneMixin.cpp
                 GridGraphicsItem.cpp
                 PointSnapper.cpp
                 CurveInputMethods.cpp
                 FloodFill.cpp
                 ArrangementIO.cpp
                 ${UTILS_COMPILE_FILES}
                 ${arrangement_2_uis}
                 ${CGAL_Qt5_RESOURCE_FILES}
                 ${CGAL_Qt5_MOC_FILES})

  target_link_libraries(arrangement_2 PRIVATE Qt5::Widgets)
  target_link_libraries(arrangement_2 PRIVATE CGAL::CGAL CGAL::CGAL_Qt5)
  if(CGAL_Core_FOUND)
    target_link_libraries(arrangement_2 PRIVATE CGAL::CGAL_Core)
  endif()

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS arrangement_2)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(arrangement_2)

else()
  set(MISSING_DEPS "")

  if(NOT CGAL_Qt5_FOUND)
    set(MISSING_DEPS "the CGAL Qt5 library, ${MISSING_DEPS}")
  endif()
  if(NOT Qt5_FOUND)
    set(MISSING_DEPS "Qt5, ${MISSING_DEPS}")
  endif()
  message("NOTICE: This demo requires ${MISSING_DEPS} and will not be compiled.")
endif()

=== demo/Bounding_volumes/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Bounding_volumes_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Widgets)
include_directories(BEFORE ./include)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)

  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  add_definitions(-DQT_NO_KEYWORDS)
  set(CMAKE_AUTOMOC ON)

  # UI files (Qt Designer files)
  qt5_wrap_ui(DT_UI_FILES Bounding_volumes.ui)

  # qrc files (resources files, that contain icons, at least)
  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES ./Bounding_volumes.qrc)

  # use the Qt MOC preprocessor on classes that derives from QObject

  # The executable itself.
  add_executable(
    Bounding_volumes Bounding_volumes.cpp ${DT_UI_FILES}
                     ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Bounding_volumes)

  target_link_libraries(Bounding_volumes PRIVATE CGAL::CGAL CGAL::CGAL_Qt5
                                                 Qt5::Widgets)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Bounding_volumes)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Bounding_volumes)

else()

  message("NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== demo/CGAL_ipelets/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(CGAL_ipelets_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

macro(remove_leading_zero var)
  string(SUBSTRING "${${var}}" 0 1 ONECHAR)
  string(COMPARE EQUAL "${ONECHAR}" "0" ISZERO)
  if(${ISZERO})
    string(SUBSTRING "${${var}}" 1 1 ONECHAR)
    set(${var} ${ONECHAR})
  endif()
endmacro()

#path where to build libraries
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")

find_package(CGAL REQUIRED COMPONENTS Core)

include(${CGAL_USE_FILE})

find_package(Eigen3 3.1.0 QUIET) #(requires 3.1.0 or greater)
include(CGAL_Eigen3_support)
if(NOT TARGET CGAL::Eigen3_support)
  message("NOTICE: This project requires the Eigen library, and will not be compiled.")
  return()
endif()

find_package(IPE 7)
if(IPE_FOUND)
  if(NOT ${IPE_VERSION} EQUAL "7")
    message("NOTICE: ${IPE_VERSION} is not a supported version of IPE (only 7 is).")
    set(IPE_FOUND FALSE)
  endif()
endif()

if(IPE_FOUND AND IPE_VERSION)
  message("-- Using IPE version ${IPE_VERSION} compatibility.")

  #setting installation directory
  get_filename_component(IPE_LIBRARY_DIR ${IPE_LIBRARIES} PATH)
  if (IPE_FOUND AND NOT IPELET_INSTALL_DIR)
      remove_leading_zero(IPE_MINOR_VERSION_1)
      remove_leading_zero(IPE_MINOR_VERSION_2)
      set(INSTALL_PATHS "${IPE_LIBRARY_DIR}/ipe/7.${IPE_MINOR_VERSION_1}.${IPE_MINOR_VERSION_2}/ipelets/")
      find_path(IPELET_INSTALL_DIR
                    NAMES libgoodies.lua goodies.lua
                    PATHS ${INSTALL_PATHS}
                    DOC "The folder where ipelets will be installed"
                    ENV IPELETPATH
                   )
  endif()

  set(CGAL_IPELETS ${CGAL_IPELETS})
  set(CGAL_IPELETS ${CGAL_IPELETS} alpha_shapes)
  set(CGAL_IPELETS ${CGAL_IPELETS} arrangement)
  set(CGAL_IPELETS ${CGAL_IPELETS} bbox_restriction)
  set(CGAL_IPELETS ${CGAL_IPELETS} diagrams)
  set(CGAL_IPELETS ${CGAL_IPELETS} hilbert_sort)
  set(CGAL_IPELETS ${CGAL_IPELETS} hull)
  set(CGAL_IPELETS ${CGAL_IPELETS} generator)
  set(CGAL_IPELETS ${CGAL_IPELETS} mesh_2)
  set(CGAL_IPELETS ${CGAL_IPELETS} minkowski)
  set(CGAL_IPELETS ${CGAL_IPELETS} mst)
  set(CGAL_IPELETS ${CGAL_IPELETS} multi_delaunay)
  set(CGAL_IPELETS ${CGAL_IPELETS} multi_regular)
  set(CGAL_IPELETS ${CGAL_IPELETS} partition)
  set(CGAL_IPELETS ${CGAL_IPELETS} pca)
  set(CGAL_IPELETS ${CGAL_IPELETS} skeleton)
  set(CGAL_IPELETS ${CGAL_IPELETS} svdlinf)
  set(CGAL_IPELETS ${CGAL_IPELETS} triangulation)
  set(CGAL_IPELETS ${CGAL_IPELETS} circle_pencils)
  set(CGAL_IPELETS ${CGAL_IPELETS} hyperbolic)
  set(CGAL_IPELETS ${CGAL_IPELETS} distance)
  if(CGAL_Core_FOUND)
    set(CGAL_IPELETS ${CGAL_IPELETS} cone_spanners)
  endif()

  if(IPELET_INSTALL_DIR)
    message(STATUS "Set Ipelets install dir: ${IPELET_INSTALL_DIR}")
  endif()

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)

  foreach(IPELET ${CGAL_IPELETS})
    add_library(CGAL_${IPELET} MODULE ${IPELET}.cpp)
    target_include_directories(CGAL_${IPELET} BEFORE PRIVATE ${IPE_INCLUDE_DIR})

    add_to_cached_list(CGAL_EXECUTABLE_TARGETS CGAL_${IPELET})
    target_link_libraries(CGAL_${IPELET} PRIVATE CGAL::CGAL CGAL::Eigen3_support
                                                 ${IPE_LIBRARIES})
    if(IPELET_INSTALL_DIR)
      install(TARGETS CGAL_${IPELET} DESTINATION ${IPELET_INSTALL_DIR})
      install(FILES ./lua/libCGAL_${IPELET}.lua DESTINATION ${IPELET_INSTALL_DIR}) #only for ipe 7
    endif ()
    cgal_add_compilation_test(CGAL_${IPELET})
  endforeach(IPELET)
  if(CGAL_Core_FOUND)
    target_link_libraries(CGAL_cone_spanners PRIVATE CGAL::CGAL_Core
                                                     CGAL::Eigen3_support)
  endif()
  #example in doc not installed
  add_library(simple_triangulation MODULE simple_triangulation.cpp)
  add_to_cached_list(CGAL_EXECUTABLE_TARGETS simple_triangulation)
  target_link_libraries(simple_triangulation CGAL::Eigen3_support
                        ${IPE_LIBRARIES})
  target_include_directories(simple_triangulation BEFORE PRIVATE ${IPE_INCLUDE_DIR})
  if (WITH_IPE_7)
      target_compile_definitions(simple_triangulation PRIVATE CGAL_USE_IPE_7)
    endif()
  cgal_add_compilation_test(simple_triangulation)

else()
  message("NOTICE: This project requires the Ipe include files and library, and will not be compiled.")
endif()

=== demo/Circular_kernel_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Circular_kernel_2_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Widgets)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)
  add_definitions(-DQT_NO_KEYWORDS)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  set(CMAKE_AUTOMOC ON)

  # UI files (Qt Designer files)
  qt5_wrap_ui(DT_UI_FILES Circular_kernel_2.ui)

  # qrc files (resources files, that contain icons, at least)
  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES ./Circular_kernel_2.qrc)

  # use the Qt MOC preprocessor on classes that derives from QObject

  # The executable itself.
  add_executable(
    Circular_kernel_2 Circular_kernel_2.cpp ${DT_UI_FILES}
                      ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Circular_kernel_2)

  target_link_libraries(Circular_kernel_2 PRIVATE CGAL::CGAL CGAL::CGAL_Qt5
                                                  Qt5::Widgets)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Circular_kernel_2)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Circular_kernel_2)

else()

  message("NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== demo/Circular_kernel_3/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(Circular_kernel_3_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Widgets OpenGL)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)

  add_executable(
    Circular_kernel_3 Circular_kernel_3.cpp Viewer.cpp
                      ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Circular_kernel_3)

  target_link_libraries(Circular_kernel_3 PRIVATE CGAL::CGAL CGAL::CGAL_Qt5
                                                  Qt5::Widgets Qt5::OpenGL)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Circular_kernel_3)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Circular_kernel_3)

else()

  message("NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== demo/Generator/CMakeLists.txt ===
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Generator_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Widgets)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)

  add_definitions(-DQT_NO_KEYWORDS)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  set(CMAKE_AUTOMOC ON)

  # UI files (Qt Designer files)
  qt5_wrap_ui(DT_UI_FILES Generator_2.ui)

  # qrc files (resources files, that contain icons, at least)
  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES ./Generator_2.qrc)

  # use the Qt MOC preprocessor on classes that derives from QObject

  # The executable itself.
  add_executable(Generator_2 Generator_2.cpp ${DT_UI_FILES}
                             ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Generator_2)

  target_link_libraries(Generator_2 PRIVATE CGAL::CGAL CGAL::CGAL_Qt5 Qt5::Widgets)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Generator_2)
else()

  message("NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== demo/GraphicsView/CMakeLists.txt ===
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(GraphicsView_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Widgets)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)

  add_definitions(-DQT_NO_KEYWORDS)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)

  add_executable(min min.cpp ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS min)

  target_link_libraries(min PRIVATE CGAL::CGAL CGAL::CGAL_Qt5 Qt5::Widgets)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(min)
else()

  message("NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== debian/changelog ===
cgal (5.6-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:28:53 +0000

cgal (5.6-1build2) noble; urgency=high

  * No change rebuild against libipe7.2.28t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:33:32 +0100

cgal (5.6-1build1) noble; urgency=medium

  * Rebuild against latest ipe

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 12:40:03 -0400

cgal (5.6-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Mon, 31 Jul 2023 20:16:03 +0200

cgal (5.5.2-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 02 Mar 2023 12:06:05 +0100

=== debian/control ===
Source: cgal
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joachim Reichel <reichel@debian.org>
# "ipe" is only needed because it contains goodies.lua which is needed by FindIPE.cmake
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dpkg-awk,
 ipe,
 libboost-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libeigen3-dev,
 libglu1-mesa-dev,
 libgmp-dev,
 libipe-dev,
 libmpfr-dev,
 libqt5opengl5-dev [!armel !armhf],
 libqt5svg5-dev [!armel !armhf],
 qtbase5-dev [!armel !armhf],
 tar (>= 1.28),
 zlib1g-dev
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: https://www.cgal.org/
Vcs-Git: https://salsa.debian.org/reichel/cgal.git
Vcs-Browser: https://salsa.debian.org/reichel/cgal

Package: libcgal-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libgmp-dev,
 libmpfr-dev,
 zlib1g-dev,
 ${misc:Depends}
Suggests:
 libmpfi-dev,
 libntl-dev,
 libtbb-dev
Description: C++ library for computational geometry (development files)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains most of the header files. The header files for
 visualization with Qt can be found in the package libcgal-qt5-dev.

Package: libcgal-qt5-dev
Section: libdevel
# actually "Architecture: any [!armel !armhf]" via debhelper
Architecture: any
Multi-Arch: same
Depends:
 libcgal-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 qtbase5-dev,
 ${misc:Depends}
Description: C++ library for computational geometry (development files, support for Qt5)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the header files for visualization with Qt.

Package: libcgal-demo
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: libcgal-dev (>= ${binary:Version}), ${misc:Depends}
Recommends: libcgal-qt5-dev (>= ${binary:Version})
Suggests:
 cimg-dev,
 geomview,
 gfortran,
 lib3mf-dev,
 libatlas-base-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-serialization-dev,
 libceres-dev,
 libeigen3-dev,
 libglew-dev,
 libglpk-dev,
 libipe-dev,
 liblapack-dev,
 libmagick++-dev,
 libmetis-dev,
 libmpfi-dev,
 libntl-dev,
 libopencv-dev,
 libqt5opengl5-dev,
 libqt5sql5-sqlite,
 libqt5svg5-dev,
 libqt5websockets5-dev,
 libssh-dev,
 libsuitesparse-dev,
 libtbb-dev,
 libvtk9-dev,
 qtscript5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 vtk9
Description: C++ library for computational geometry (demos)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the demos and examples.

Package: libcgal-ipelets
Section: graphics
Architecture: any
Depends: ipe (>= ${Ipe-Version}), ipe (<< ${Ipe-Version}+),
 ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computational geometry (ipelets)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the ipelets, i.e., plugins for ipe.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# See http://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

OPENGL_ES_ARCHITECTURES := armel armhf
ifneq (,$(findstring $(DEB_HOST_ARCH), $(OPENGL_ES_ARCHITECTURES)))
  DEBHELPER_QT5 := -Nlibcgal-qt5-dev
  CMAKE_QT5 := -DWITH_CGAL_Qt5=OFF
endif

%:
	dh $@ $(DEBHELPER_QT5)

override_dh_auto_clean:
	dh_auto_clean $(DEBHELPER_QT5)
	rm -fr build
	$(MAKE) -C debian/tests clean

override_dh_auto_configure-arch:
	QTDIR= dh_auto_configure --builddirectory=build -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DWITH_demos=OFF -DWITH_examples=OFF \
	  -DCGAL_INSTALL_CMAKE_DIR=lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL $(CMAKE_QT5)
	QTDIR= dh_auto_configure --builddirectory=build/demo/CGAL_ipelets --sourcedirectory=demo/CGAL_ipelets -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCGAL_DIR=$(CURDIR)/build

override_dh_auto_configure-indep:
	# empty

override_dh_auto_build-arch:
	$(MAKE) $(NJOBS) -C build
	$(MAKE) $(NJOBS) -C build/demo/CGAL_ipelets

override_dh_auto_build-indep:
	# empty

override_dh_auto_test-arch:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/tests rounding_modes_simple
	debian/tests/rounding_modes_simple
	$(MAKE) -C debian/tests rounding_math_simple
	debian/tests/rounding_math_simple
	$(MAKE) -C debian/tests rounding_modes_cgal
	debian/tests/rounding_modes_cgal
endif

override_dh_auto_test-indep:
	# empty

override_dh_install-arch:
	# install files into debian/tmp
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C build/demo/CGAL_ipelets DESTDIR=$(CURDIR)/debian/tmp install

	# remove -fdebug-prefix-map, -ffile-prefix-map, and -fmacro-prefix-map settings
	# from CGALConfig.cmake to avoid false positives in reproducible builds report
	sed -i 's/-f\(debug\|file\|macro\)-prefix-map=[^ ]* //' \
	  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL/CGALConfig.cmake

	# tweak installed documentation files
	mv debian/tmp/usr/share/doc/CGAL debian/tmp/usr/share/doc/cgal
	mv debian/tmp/usr/share/doc/cgal/CHANGES.md debian/tmp/usr/share/doc/cgal/changelog
	rm debian/tmp/usr/share/doc/cgal/LICENSE*
	rm debian/tmp/usr/share/doc/cgal/AUTHORS

	# remove irrelevant binary
	rm debian/tmp/usr/bin/cgal_make_macosx_app

	dh_install --sourcedir=debian/tmp
	dh_missing --list-missing

ifeq (,$(findstring $(DEB_HOST_ARCH), $(OPENGL_ES_ARCHITECTURES)))
	# move Qt header and cmake files into libcgal-qt5-dev package
	mkdir -p  debian/libcgal-qt5-dev/usr/include/CGAL
	mv debian/libcgal-dev/usr/include/CGAL/Qt debian/libcgal-qt5-dev/usr/include/CGAL
	mkdir -p debian/libcgal-qt5-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL
	mv debian/libcgal-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL/CGAL_Qt5* \
	  debian/libcgal-qt5-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL
else
	# remove Qt header and cmake files
	# use -f to avoid build failures if the files should disappear again in future releases
	rm -rf debian/libcgal-dev/usr/include/CGAL/Qt
	rm -f debian/libcgal-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL/CGAL_Qt5*
endif

	# create symlinks to /usr/share/doc/libcgal-dev
ifeq (,$(findstring $(DEB_HOST_ARCH), $(OPENGL_ES_ARCHITECTURES)))
	mkdir -p debian/libcgal-qt5-dev/usr/share/doc
	ln -s libcgal-dev debian/libcgal-qt5-dev/usr/share/doc/libcgal-qt5-dev
endif

override_dh_install-indep:
	mkdir -p debian/tmp/usr/share/doc/cgal
	# patches affecting the demos or examples will change the timestamps of affected files
	# use timestamp of debian/changelog to improve reproducibility
	tar cf - --sort=name --mode u=rwX,g=rX,o=rX --owner root --group root --mtime=$(CURDIR)/debian/changelog data | \
	  gzip --no-name --best >debian/tmp/usr/share/doc/cgal/data.tar.gz
	tar cf - --sort=name --mode u=rwX,g=rX,o=rX --owner root --group root --mtime=$(CURDIR)/debian/changelog demo | \
	  gzip --no-name --best >debian/tmp/usr/share/doc/cgal/demo.tar.gz
	tar cf - --sort=name --mode u=rwX,g=rX,o=rX --owner root --group root --mtime=$(CURDIR)/debian/changelog examples | \
	  gzip --no-name --best >debian/tmp/usr/share/doc/cgal/examples.tar.gz

	dh_install --sourcedir=debian/tmp
	dh_missing --list-missing

	mkdir -p debian/libcgal-demo/usr/share/doc
	ln -s libcgal-dev debian/libcgal-demo/usr/share/doc/libcgal-demo

override_dh_installdocs:
	dh_installdocs -plibcgal-dev -plibcgal-ipelets debian/copyright

override_dh_installchangelogs:
	dh_installchangelogs -plibcgal-dev -plibcgal-ipelets

override_dh_gencontrol:
	dh_gencontrol -- -VIpe-Version=`dpkg-awk 'Package:^ipe$$' -- Version | grep Version | sed 's/Version: //;s/-[^-]*$$//'`

## cgal 5.6.1

=== examples/HalfedgeDS/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(HalfedgeDS_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== debian/changelog ===
cgal (5.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Fri, 01 Mar 2024 14:13:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: cgal
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joachim Reichel <reichel@debian.org>
+Maintainer: Joachim Reichel <reichel@debian.org>
 # "ipe" is only needed because it contains goodies.lua which is needed by FindIPE.cmake
 Build-Depends:
  cmake,
